class RecordingController < ApplicationController

  protect_from_forgery except: :recording_finished #ActionController::InvalidAuthenticityToken
  
  require 'mysql2'

  # http://localhost:3000/recording/record
  def record

    render :xml => '<?xml version="1.0" encoding="UTF-8"?>
    <Response>
      <Record finishedUrl="http://localhost:3000/recording/recording_finished" format="mp3"/>
    </Response>'

  end
  
  # http://localhost:3000/recording/recording_finished
  def recording_finished

      config = YAML::load_file("config/database.yml")["development"]
      config["host"] = config["hostname"]
      con = Mysql2::Client.new(config)

      con.query("CREATE DATABASE IF NOT EXISTS Ozeki_CallRecordings;")
      con.query("CREATE TABLE IF NOT EXISTS Ozeki_CallRecordings.Call_Recordings
        (call_id VARCHAR(10), success BIT, duration INT, caller VARCHAR(30), callee VARCHAR(30), record_url VARCHAR(255), notification_name VARCHAR(30));")

      call_id = params[:CallId] == nil ? "" : params[:CallId]
      success = params[:Success] == nil ? false : params[:Success]
      duration = params[:Duration] == nil ? 0 : params[:Duration]
      caller = params[:Caller] == nil ? "" : params[:Caller]
      callee = params[:Callee] == nil ? "" : params[:Callee]
      record_url = params[:RecordURL] == nil ? "" : params[:RecordURL]
      notification_name = params[:NotificationName] == nil ? "" : params[:NotificationName]
      
      con.query("INSERT INTO Ozeki_CallRecordings.Call_Recordings (call_id, success, duration, caller, callee, record_url, notification_name)
        VALUES ('" + call_id + "', " + success + ", " + duration + ", '" + params[:Caller] + "', '" + params[:Callee] + "'
        , '" + params[:RecordURL] + "', '" + notification_name + "');")
      
    rescue Mysql2::Error => e
      puts e.errno
      puts e.error
    ensure
      con.close if con
    
  end

end
